Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1087028 - Query GetStorageDomainByNameQuery failure: bad SQL
Summary: Query GetStorageDomainByNameQuery failure: bad SQL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 3.5.0
Assignee: Barak
QA Contact: Pavel Novotny
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-13 08:01 UTC by Ohad Basan
Modified: 2016-02-10 19:06 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:09:59 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27088 master MERGED core: Fix issue with GetStorageDomainByNameQuery Never

Description Ohad Basan 2014-04-13 08:01:58 UTC
Description of problem:
exporting a vm fails on GetStorageDomainByNameQuery:

2014-04-10 12:46:33,606 ERROR [org.ovirt.engine.core.bll.storage.GetStorageDomainByNameQuery] (ajp-/127.0.0.1:8702-3) Query GetStorageDomainByNameQuery failed. Exception message is PreparedStatementCallback; bad SQL grammar [select * from  getstorage_domain_staticbynamefiltered(?, ?)]; nested exception is org.postgresql.util.PSQLException: ERROR: function getstorage_domain_staticbynamefiltered(character varying, uuid) does not exist

Comment 3 Allon Mureinik 2014-04-24 13:32:11 UTC
Liran,

The usage of this function was introduced by 88756e3897ba467eb50055a7dda0c1afb11295d0, which is a solution for bug 1061175 which you handled.

Can you please take a look at this?
Thanks.

Comment 4 Liran Zelkha 2014-04-24 13:43:18 UTC
Sure. I'll fix it.

Comment 6 Pavel Novotny 2014-10-23 14:25:28 UTC
Verified in rhevm-3.5.0-0.17.beta.el6ev.noarch (vt7).

Exporting a VM via REST API now works fine, no SQL errors were encountered.

Comment 8 Eyal Edri 2015-02-17 17:09:59 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.